<template>
    <div>
        <div class="row">

            <div class="col-md-12 grid-margin stretch-card">
                <div class="card">
                    <div class="card-body">
                        <h2 class="d-flex justify-content-center">Data Tersimpan</h2>
                        <hr>
                        <p class="lead text-muted d-flex justify-content-center">
                            Terima kasih sudah mengisi formulir Inovasi Daerah dan Data Indikator Inovasi Daerah
                        </p>
                    </div>
                </div>
            </div>
        </div>
    </div>
</template>

<script>

    // export default {
    //     props: ['dataprops'],
    //     filters: {
    //     formatSize: function (value) {
    //         if (!value) return ''
    //             let valKB = 0.000001*value
    //             return `${valKB.toFixed(2)} MB`
    //         }
    //     },

    //     //Binding Data
    //     data() {
    //         return {
    //             component:'Page4Component',
    //             token:document.head.querySelector('meta[name="csrf-token"]').content,
    //             currentData:{
    //                 // id:'',
    //                 kecepatan_inovasi_id:'',
    //                 kecepatan_file:'',
    //                 kecepatan_filename:'',
    //                 kemanfaatan_inovasi_id:'',
    //                 kemanfaatan_file:'',
    //                 kemanfaatan_filename:'',
    //                 kepuasan_inovasi_id:'',
    //                 kepuasan_file:'',
    //                 kepuasan_filename:'',
    //                 sosialisasi_id:'',
    //                 sosialisasi_file:'',
    //                 sosialisasi_filename:'',
    //                 kualitas_inovasi_id:'',
    //                 kualitas_file:'',
    //                 // kualitas_filename:'',
    //                 url1_kualitas:'',
    //                 url2_kualitas:'',
    //                 iga_sinovik_id:'',
    //                 catatan:'',
    //             },

    //             //initializing property form
    //             kecepatan_inovasi_id: [],
    //             kemanfaatan_inovasi_id: [],
    //             kepuasan_inovasi_id: [],
    //             sosialisasi_id: [],
    //             kualitas_inovasi_id: [],
    //             iga_sinovik_id: [],

    //             //initializing property funtion get data
    //             kecepataninovasi: [],
    //             kemanfaataninovasi: [],
    //             kepuasaninovasi: [],
    //             sosialisasi: [],
    //             kualitasinovasi: [],
    //             igasinovik: [],

    //             //initializing property upload file
    //             // files: [],
    //             kecepatan_file:[],
    //             kemanfaatan_file:[],
    //             kepuasan_file:[],
    //             sosialisasi_file:[],
    //             kualitas_file:[],
    //             image_folder:"iconFile"
    //         }

    //     },

    //     created(){
    //         this.initial();
    //         this.getKecepatanInovasi();
    //         this.getKemanfaatanInovasi();
    //         this.getKepuasanInovasi();
    //         this.getSosialisasi();
    //         this.getKualitasInovasi();
    //         this.getIgaSinovik();
    //         // this.testData();
    //     },

    //     methods: {
    //         initial(){
    //             this.currentData.id = this.dataprops.id
    //         },
    //         testData(){
    //             this.currentData={
    //                  kecepatan_inovasi_id:3,
    //                 kecepatan_file:'test',
    //                 kecepatan_filename:'test',
    //                 kemanfaatan_inovasi_id:3,
    //                 kemanfaatan_file:'test',
    //                 kemanfaatan_filename:'test',
    //                 kepuasan_inovasi_id:3,
    //                 kepuasan_file:'test',
    //                 kepuasan_filename:'test',
    //                 sosialisasi_id:3,
    //                 sosialisasi_file:'test',
    //                 sosialisasi_filename:'test',
    //                 kualitas_inovasi_id:3,
    //                 kualitas_file:'test',
    //                 // kualitas_filename:'test',
    //                 url1_kualitas:'test',
    //                 url2_kualitas:'test',
    //                 iga_sinovik_id:3,
    //                 catatan:'test',
    //             }
    //         },
    //         //function to get all data from laravel route (Frontend/Home)
    //         getKecepatanInovasi() {
    //             axios.get('/form4/get/kecepataninovasi').then(response => {
    //                this.kecepataninovasi = response.data
    //             })
    //         },
    //         getKemanfaatanInovasi() {
    //             axios.get('/form4/get/kemanfaataninovasi').then(response => {
    //                this.kemanfaataninovasi = response.data
    //             })
    //         },
    //         getKepuasanInovasi() {
    //             axios.get('/form4/get/kepuasaninovasi').then(response => {
    //                this.kepuasaninovasi = response.data
    //             })
    //         },
    //         getSosialisasi() {
    //             axios.get('/form4/get/sosialisasi').then(response => {
    //                this.sosialisasi = response.data
    //             })
    //         },
    //         getKualitasInovasi() {
    //             axios.get('/form4/get/kualitasinovasi').then(response => {
    //                this.kualitasinovasi = response.data
    //             })
    //         },
    //         getIgaSinovik() {
    //             axios.get('/form4/get/igasinovik').then(response => {
    //                this.igasinovik = response.data
    //             })
    //         },

    //         //function when user click the button submit
    //         submit(){
    //             // this.insertData()
    //             this.$validator.validate().then(valid => {
    //                 if (valid) {
    //                     //Insert data to backend(laravel)
    //                     this.insertData()
    //                 }
    //              });
    //         },

    //         formData(obj){
    //             var formData = new FormData();
    //             for (var key in obj) {
    //                 formData.append(key, obj[key]);
    //             }
    //             return formData;
    //         },

    //         //function send data to backend (/form2/send/Id) and get the the current Id
    //         async insertData(){
    //             // let self = this
    //             this.currentData.kecepatan_file =`${this.kecepatan_file[0].postAction}/${this.kecepatan_file[0].name}`
    //             this.currentData.kemanfaatan_file =`${this.kemanfaatan_file[0].postAction}/${this.kemanfaatan_file[0].name}`
    //             this.currentData.kepuasan_file =`${this.kepuasan_file[0].postAction}/${this.kepuasan_file[0].name}`
    //             this.currentData.sosialisasi_file =`${this.sosialisasi_file[0].postAction}/${this.sosialisasi_file[0].name}`
    //             this.currentData.kualitas_file =`${this.kualitas_file[0].postAction}/${this.kualitas_file[0].name}`
    //             let data = this.formData(this.currentData)
    //             let id = this.dataprops.id
    //             await axios.post(`/form4/send/${id}`,data).then(response => {
    //                this.currentData.id = response.data
    //             })
    //         },

    //         //function for inputfilter file from Plugin
    //         inputFilter(newFile, oldFile, prevent) {
    //           if (newFile && !oldFile) {
    //             if (/(\/|^)(Thumbs\.db|desktop\.ini|\..+)$/.test(newFile.name)) {
    //               return prevent()
    //             }
    //             if (/\.(php5?|html?|jsx?)$/i.test(newFile.name)) {
    //               return prevent()
    //             }
    //           }
    //         },

    //         //function for activing upload file when user upload the file
    //         uploadKecepatan() {
    //             this.$refs.kecepatan_file.active = true
    //         },
    //         uploadKemanfaatan() {
    //             this.$refs.kemanfaatan_file.active = true
    //         },
    //         uploadKepuasan() {
    //             this.$refs.kepuasan_file.active = true
    //         },
    //         uploadSosialisasi() {
    //             this.$refs.sosialisasi_file.active = true
    //         },
    //         uploadKualitas() {
    //             this.$refs.kualitas_file.active = true
    //         },

    //         getFile(link){
    //           return `${this.image_folder}/file.png`
    //         },

    //     },
    // }
</script>

<style>

</style>
